//Source file: C:\\GENERATE_JAVA\\generate_prod_cons\\producteur.java
import java.util.Collection;


public class producteur implements Thread  
{
   private stock st;
   
   public producteur(stock st) 
   {
	   this.stock=st;
    
   }


	public void run()
	{
		int nbprod = 10;
		produit op;

		// chaine de fabrication des produits
		  for(int i=0;i<nbprod;i++)
		  {
			  op = new produit();
			  double no=Math.random()*1000;
			  op.fabriquer((int) no);
			  op.stocker(st);
		  }


			try
			{
				// attente aleatoire entre 2 fabrications
				double temp = Math.random()*100;
				sleep((int) temp);

			}	catch (InterruptedException ex)
			{
				System.out.println(ex.toString());
			}
		

   }
}
